// JArgUtility.cpp : Implementation of CJArgUtility
#include "stdafx.h"
#include "JArgUtil.h"
#include "JArgUtility.h"

/////////////////////////////////////////////////////////////////////////////
// CJArgUtility


STDMETHODIMP CJArgUtility::get_Nothing(VARIANT * pVal)
{
	// Check for a bad argument
	if (pVal == NULL)
		return E_POINTER;

	// Clear out any existing data
	VariantClear(pVal);

	// Provide a NULL pointer
	pVal->vt = VT_DISPATCH;
	pVal->pdispVal = NULL;

	return S_OK;
}

STDMETHODIMP CJArgUtility::get_OptionalArg(VARIANT * pVal)
{
	// Check for a bad argument
	if (pVal == NULL)
		return E_POINTER;

	// Clear out any existing data
	VariantClear(pVal);

	// Set the type of the VARIANT to be an 'optional' parameter
	pVal->vt = VT_ERROR;
	pVal->scode = DISP_E_PARAMNOTFOUND;

	return S_OK;
}
